package osdu.instance.legal

import input

headers = {
    "content-yype": "application/json",
    "data-partition-id":input.datapartitionid,
    "authorization": sprintf("Bearer %v", [input.token]),
    "accept": "application/json"
}

body = {
   "names": { x |  x := input.records[_].legal.legaltags[_] }
}

groups := http.send({
    "method": "POST",
    "url": sprintf("%s%s",[opa.runtime().env["LEGAL_BASE_URL"],"/api/legal/v1/legaltags:validate"]),
    "body": body,
    "headers": headers,
    "force_cache": true,
    "cache_ignored_headers": ["authorization", "content-type", "x-user-id", "accept"],
    "force_cache_duration_seconds": 900
    })